Viewing docs for Alibaba Cloud v3.97.0
published on Saturday, Mar 14, 2026 by Pulumi
published on Saturday, Mar 14, 2026 by Pulumi
Viewing docs for Alibaba Cloud v3.97.0
published on Saturday, Mar 14, 2026 by Pulumi
published on Saturday, Mar 14, 2026 by Pulumi
This data source provides a list of MSE Clusters in an Alibaba Cloud account according to the specified filters.
NOTE: Available since v1.94.0.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as alicloud from "@pulumi/alicloud";
// Create resource
const example = alicloud.getZones({
availableResourceCreation: "VSwitch",
});
const exampleNetwork = new alicloud.vpc.Network("example", {
vpcName: "terraform-example",
cidrBlock: "172.17.3.0/24",
});
const exampleSwitch = new alicloud.vpc.Switch("example", {
vswitchName: "terraform-example",
cidrBlock: "172.17.3.0/24",
vpcId: exampleNetwork.id,
zoneId: example.then(example => example.zones?.[0]?.id),
});
const exampleCluster = new alicloud.mse.Cluster("example", {
clusterSpecification: "MSE_SC_1_2_60_c",
clusterType: "Nacos-Ans",
clusterVersion: "NACOS_2_0_0",
instanceCount: 3,
netType: "privatenet",
pubNetworkFlow: "1",
connectionType: "slb",
clusterAliasName: "terraform-example",
mseVersion: "mse_pro",
vswitchId: exampleSwitch.id,
vpcId: exampleNetwork.id,
});
// Declare the data source
const exampleGetClusters = pulumi.all([exampleCluster.id, exampleCluster.clusterAliasName]).apply(([id, clusterAliasName]) => alicloud.mse.getClustersOutput({
enableDetails: true,
ids: [id],
status: "INIT_SUCCESS",
nameRegex: clusterAliasName,
}));
export const instanceId = exampleGetClusters.apply(exampleGetClusters => exampleGetClusters.clusters?.[0]?.id);
import pulumi
import pulumi_alicloud as alicloud
# Create resource
example = alicloud.get_zones(available_resource_creation="VSwitch")
example_network = alicloud.vpc.Network("example",
vpc_name="terraform-example",
cidr_block="172.17.3.0/24")
example_switch = alicloud.vpc.Switch("example",
vswitch_name="terraform-example",
cidr_block="172.17.3.0/24",
vpc_id=example_network.id,
zone_id=example.zones[0].id)
example_cluster = alicloud.mse.Cluster("example",
cluster_specification="MSE_SC_1_2_60_c",
cluster_type="Nacos-Ans",
cluster_version="NACOS_2_0_0",
instance_count=3,
net_type="privatenet",
pub_network_flow="1",
connection_type="slb",
cluster_alias_name="terraform-example",
mse_version="mse_pro",
vswitch_id=example_switch.id,
vpc_id=example_network.id)
# Declare the data source
example_get_clusters = pulumi.Output.all(
id=example_cluster.id,
cluster_alias_name=example_cluster.cluster_alias_name
).apply(lambda resolved_outputs: alicloud.mse.get_clusters_output(enable_details=True,
ids=[resolved_outputs['id']],
status="INIT_SUCCESS",
name_regex=resolved_outputs['cluster_alias_name']))
pulumi.export("instanceId", example_get_clusters.clusters[0].id)
package main
import (
"github.com/pulumi/pulumi-alicloud/sdk/v3/go/alicloud"
"github.com/pulumi/pulumi-alicloud/sdk/v3/go/alicloud/mse"
"github.com/pulumi/pulumi-alicloud/sdk/v3/go/alicloud/vpc"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
// Create resource
example, err := alicloud.GetZones(ctx, &alicloud.GetZonesArgs{
AvailableResourceCreation: pulumi.StringRef("VSwitch"),
}, nil)
if err != nil {
return err
}
exampleNetwork, err := vpc.NewNetwork(ctx, "example", &vpc.NetworkArgs{
VpcName: pulumi.String("terraform-example"),
CidrBlock: pulumi.String("172.17.3.0/24"),
})
if err != nil {
return err
}
exampleSwitch, err := vpc.NewSwitch(ctx, "example", &vpc.SwitchArgs{
VswitchName: pulumi.String("terraform-example"),
CidrBlock: pulumi.String("172.17.3.0/24"),
VpcId: exampleNetwork.ID(),
ZoneId: pulumi.String(example.Zones[0].Id),
})
if err != nil {
return err
}
exampleCluster, err := mse.NewCluster(ctx, "example", &mse.ClusterArgs{
ClusterSpecification: pulumi.String("MSE_SC_1_2_60_c"),
ClusterType: pulumi.String("Nacos-Ans"),
ClusterVersion: pulumi.String("NACOS_2_0_0"),
InstanceCount: pulumi.Int(3),
NetType: pulumi.String("privatenet"),
PubNetworkFlow: pulumi.String("1"),
ConnectionType: pulumi.String("slb"),
ClusterAliasName: pulumi.String("terraform-example"),
MseVersion: pulumi.String("mse_pro"),
VswitchId: exampleSwitch.ID(),
VpcId: exampleNetwork.ID(),
})
if err != nil {
return err
}
// Declare the data source
exampleGetClusters := pulumi.All(exampleCluster.ID(), exampleCluster.ClusterAliasName).ApplyT(func(_args []interface{}) (mse.GetClustersResult, error) {
id := _args[0].(string)
clusterAliasName := _args[1].(string)
return mse.GetClustersResult(interface{}(mse.GetClusters(ctx, &mse.GetClustersArgs{
EnableDetails: pulumi.BoolRef(pulumi.BoolRef(true)),
Ids: []string{
id,
},
Status: pulumi.StringRef(pulumi.StringRef("INIT_SUCCESS")),
NameRegex: pulumi.StringRef(pulumi.StringRef(clusterAliasName)),
}, nil))), nil
}).(mse.GetClustersResultOutput)
ctx.Export("instanceId", exampleGetClusters.ApplyT(func(exampleGetClusters mse.GetClustersResult) (*string, error) {
return &exampleGetClusters.Clusters[0].Id, nil
}).(pulumi.StringPtrOutput))
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using AliCloud = Pulumi.AliCloud;
return await Deployment.RunAsync(() =>
{
// Create resource
var example = AliCloud.GetZones.Invoke(new()
{
AvailableResourceCreation = "VSwitch",
});
var exampleNetwork = new AliCloud.Vpc.Network("example", new()
{
VpcName = "terraform-example",
CidrBlock = "172.17.3.0/24",
});
var exampleSwitch = new AliCloud.Vpc.Switch("example", new()
{
VswitchName = "terraform-example",
CidrBlock = "172.17.3.0/24",
VpcId = exampleNetwork.Id,
ZoneId = example.Apply(getZonesResult => getZonesResult.Zones[0]?.Id),
});
var exampleCluster = new AliCloud.Mse.Cluster("example", new()
{
ClusterSpecification = "MSE_SC_1_2_60_c",
ClusterType = "Nacos-Ans",
ClusterVersion = "NACOS_2_0_0",
InstanceCount = 3,
NetType = "privatenet",
PubNetworkFlow = "1",
ConnectionType = "slb",
ClusterAliasName = "terraform-example",
MseVersion = "mse_pro",
VswitchId = exampleSwitch.Id,
VpcId = exampleNetwork.Id,
});
// Declare the data source
var exampleGetClusters = AliCloud.Mse.GetClusters.Invoke(new()
{
EnableDetails = true,
Ids = new[]
{
exampleCluster.Id,
},
Status = "INIT_SUCCESS",
NameRegex = exampleCluster.ClusterAliasName,
});
return new Dictionary<string, object?>
{
["instanceId"] = exampleGetClusters.Apply(getClustersResult => getClustersResult.Clusters[0]?.Id),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.alicloud.AlicloudFunctions;
import com.pulumi.alicloud.inputs.GetZonesArgs;
import com.pulumi.alicloud.vpc.Network;
import com.pulumi.alicloud.vpc.NetworkArgs;
import com.pulumi.alicloud.vpc.Switch;
import com.pulumi.alicloud.vpc.SwitchArgs;
import com.pulumi.alicloud.mse.Cluster;
import com.pulumi.alicloud.mse.ClusterArgs;
import com.pulumi.alicloud.mse.MseFunctions;
import com.pulumi.alicloud.mse.inputs.GetClustersArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
// Create resource
final var example = AlicloudFunctions.getZones(GetZonesArgs.builder()
.availableResourceCreation("VSwitch")
.build());
var exampleNetwork = new Network("exampleNetwork", NetworkArgs.builder()
.vpcName("terraform-example")
.cidrBlock("172.17.3.0/24")
.build());
var exampleSwitch = new Switch("exampleSwitch", SwitchArgs.builder()
.vswitchName("terraform-example")
.cidrBlock("172.17.3.0/24")
.vpcId(exampleNetwork.id())
.zoneId(example.zones()[0].id())
.build());
var exampleCluster = new Cluster("exampleCluster", ClusterArgs.builder()
.clusterSpecification("MSE_SC_1_2_60_c")
.clusterType("Nacos-Ans")
.clusterVersion("NACOS_2_0_0")
.instanceCount(3)
.netType("privatenet")
.pubNetworkFlow("1")
.connectionType("slb")
.clusterAliasName("terraform-example")
.mseVersion("mse_pro")
.vswitchId(exampleSwitch.id())
.vpcId(exampleNetwork.id())
.build());
// Declare the data source
final var exampleGetClusters = Output.tuple(exampleCluster.id(), exampleCluster.clusterAliasName()).applyValue(values -> {
var id = values.t1;
var clusterAliasName = values.t2;
return MseFunctions.getClusters(GetClustersArgs.builder()
.enableDetails(true)
.ids(id)
.status("INIT_SUCCESS")
.nameRegex(clusterAliasName)
.build());
});
ctx.export("instanceId", exampleGetClusters.applyValue(_exampleGetClusters -> _exampleGetClusters.clusters()[0].id()));
}
}
resources:
exampleNetwork:
type: alicloud:vpc:Network
name: example
properties:
vpcName: terraform-example
cidrBlock: 172.17.3.0/24
exampleSwitch:
type: alicloud:vpc:Switch
name: example
properties:
vswitchName: terraform-example
cidrBlock: 172.17.3.0/24
vpcId: ${exampleNetwork.id}
zoneId: ${example.zones[0].id}
exampleCluster:
type: alicloud:mse:Cluster
name: example
properties:
clusterSpecification: MSE_SC_1_2_60_c
clusterType: Nacos-Ans
clusterVersion: NACOS_2_0_0
instanceCount: 3
netType: privatenet
pubNetworkFlow: '1'
connectionType: slb
clusterAliasName: terraform-example
mseVersion: mse_pro
vswitchId: ${exampleSwitch.id}
vpcId: ${exampleNetwork.id}
variables:
# Create resource
example:
fn::invoke:
function: alicloud:getZones
arguments:
availableResourceCreation: VSwitch
# Declare the data source
exampleGetClusters:
fn::invoke:
function: alicloud:mse:getClusters
arguments:
enableDetails: 'true'
ids:
- ${exampleCluster.id}
status: INIT_SUCCESS
nameRegex: ${exampleCluster.clusterAliasName}
outputs:
instanceId: ${exampleGetClusters.clusters[0].id}
Using getClusters
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getClusters(args: GetClustersArgs, opts?: InvokeOptions): Promise<GetClustersResult>
function getClustersOutput(args: GetClustersOutputArgs, opts?: InvokeOptions): Output<GetClustersResult>def get_clusters(cluster_alias_name: Optional[str] = None,
enable_details: Optional[bool] = None,
ids: Optional[Sequence[str]] = None,
name_regex: Optional[str] = None,
output_file: Optional[str] = None,
request_pars: Optional[str] = None,
status: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetClustersResult
def get_clusters_output(cluster_alias_name: Optional[pulumi.Input[str]] = None,
enable_details: Optional[pulumi.Input[bool]] = None,
ids: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
name_regex: Optional[pulumi.Input[str]] = None,
output_file: Optional[pulumi.Input[str]] = None,
request_pars: Optional[pulumi.Input[str]] = None,
status: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetClustersResult]func GetClusters(ctx *Context, args *GetClustersArgs, opts ...InvokeOption) (*GetClustersResult, error)
func GetClustersOutput(ctx *Context, args *GetClustersOutputArgs, opts ...InvokeOption) GetClustersResultOutput> Note: This function is named GetClusters in the Go SDK.
public static class GetClusters
{
public static Task<GetClustersResult> InvokeAsync(GetClustersArgs args, InvokeOptions? opts = null)
public static Output<GetClustersResult> Invoke(GetClustersInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetClustersResult> getClusters(GetClustersArgs args, InvokeOptions options)
public static Output<GetClustersResult> getClusters(GetClustersArgs args, InvokeOptions options)
fn::invoke:
function: alicloud:mse/getClusters:getClusters
arguments:
# arguments dictionaryThe following arguments are supported:
- Cluster
Alias stringName - The alias name of MSE Cluster.
- Enable
Details bool - Default to
false. Set it totruecan output more details about resource attributes. - Ids List<string>
- A list of MSE Cluster ids. It is formatted to
<instance_id> - Name
Regex string - A regex string to filter the results by the cluster alias name.
- Output
File string - File name where to save data source results (after running
pulumi preview). - Request
Pars string - The extended request parameters. The JSON format is supported.
- Status string
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- Cluster
Alias stringName - The alias name of MSE Cluster.
- Enable
Details bool - Default to
false. Set it totruecan output more details about resource attributes. - Ids []string
- A list of MSE Cluster ids. It is formatted to
<instance_id> - Name
Regex string - A regex string to filter the results by the cluster alias name.
- Output
File string - File name where to save data source results (after running
pulumi preview). - Request
Pars string - The extended request parameters. The JSON format is supported.
- Status string
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- cluster
Alias StringName - The alias name of MSE Cluster.
- enable
Details Boolean - Default to
false. Set it totruecan output more details about resource attributes. - ids List<String>
- A list of MSE Cluster ids. It is formatted to
<instance_id> - name
Regex String - A regex string to filter the results by the cluster alias name.
- output
File String - File name where to save data source results (after running
pulumi preview). - request
Pars String - The extended request parameters. The JSON format is supported.
- status String
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- cluster
Alias stringName - The alias name of MSE Cluster.
- enable
Details boolean - Default to
false. Set it totruecan output more details about resource attributes. - ids string[]
- A list of MSE Cluster ids. It is formatted to
<instance_id> - name
Regex string - A regex string to filter the results by the cluster alias name.
- output
File string - File name where to save data source results (after running
pulumi preview). - request
Pars string - The extended request parameters. The JSON format is supported.
- status string
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- cluster_
alias_ strname - The alias name of MSE Cluster.
- enable_
details bool - Default to
false. Set it totruecan output more details about resource attributes. - ids Sequence[str]
- A list of MSE Cluster ids. It is formatted to
<instance_id> - name_
regex str - A regex string to filter the results by the cluster alias name.
- output_
file str - File name where to save data source results (after running
pulumi preview). - request_
pars str - The extended request parameters. The JSON format is supported.
- status str
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- cluster
Alias StringName - The alias name of MSE Cluster.
- enable
Details Boolean - Default to
false. Set it totruecan output more details about resource attributes. - ids List<String>
- A list of MSE Cluster ids. It is formatted to
<instance_id> - name
Regex String - A regex string to filter the results by the cluster alias name.
- output
File String - File name where to save data source results (after running
pulumi preview). - request
Pars String - The extended request parameters. The JSON format is supported.
- status String
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
getClusters Result
The following output properties are available:
- Clusters
List<Pulumi.
Ali Cloud. Mse. Outputs. Get Clusters Cluster> - A list of MSE Clusters. Each element contains the following attributes:
- Id string
- The provider-assigned unique ID for this managed resource.
- Ids List<string>
- A list of MSE Cluster ids.
- Names List<string>
- A list of MSE Cluster names.
- Cluster
Alias stringName - Enable
Details bool - Name
Regex string - Output
File string - Request
Pars string - Status string
- The status of MSE Cluster.
- Clusters
[]Get
Clusters Cluster - A list of MSE Clusters. Each element contains the following attributes:
- Id string
- The provider-assigned unique ID for this managed resource.
- Ids []string
- A list of MSE Cluster ids.
- Names []string
- A list of MSE Cluster names.
- Cluster
Alias stringName - Enable
Details bool - Name
Regex string - Output
File string - Request
Pars string - Status string
- The status of MSE Cluster.
- clusters
List<Get
Clusters Cluster> - A list of MSE Clusters. Each element contains the following attributes:
- id String
- The provider-assigned unique ID for this managed resource.
- ids List<String>
- A list of MSE Cluster ids.
- names List<String>
- A list of MSE Cluster names.
- cluster
Alias StringName - enable
Details Boolean - name
Regex String - output
File String - request
Pars String - status String
- The status of MSE Cluster.
- clusters
Get
Clusters Cluster[] - A list of MSE Clusters. Each element contains the following attributes:
- id string
- The provider-assigned unique ID for this managed resource.
- ids string[]
- A list of MSE Cluster ids.
- names string[]
- A list of MSE Cluster names.
- cluster
Alias stringName - enable
Details boolean - name
Regex string - output
File string - request
Pars string - status string
- The status of MSE Cluster.
- clusters
Sequence[Get
Clusters Cluster] - A list of MSE Clusters. Each element contains the following attributes:
- id str
- The provider-assigned unique ID for this managed resource.
- ids Sequence[str]
- A list of MSE Cluster ids.
- names Sequence[str]
- A list of MSE Cluster names.
- cluster_
alias_ strname - enable_
details bool - name_
regex str - output_
file str - request_
pars str - status str
- The status of MSE Cluster.
- clusters List<Property Map>
- A list of MSE Clusters. Each element contains the following attributes:
- id String
- The provider-assigned unique ID for this managed resource.
- ids List<String>
- A list of MSE Cluster ids.
- names List<String>
- A list of MSE Cluster names.
- cluster
Alias StringName - enable
Details Boolean - name
Regex String - output
File String - request
Pars String - status String
- The status of MSE Cluster.
Supporting Types
GetClustersCluster
- Acl
Id string - The id of acl.
- App
Version string - The version of app.
- Cluster
Id string - ID of the MSE Cluster.
- Cluster
Name string - ID of the OOS Executions.
- Cluster
Type string - The type of MSE Cluster.
- Cpu int
- The num of cpu.
- Health
Status string - The health status of the instance.
- Id string
- ID of the MSE Cluster.
- Init
Cost intTime - Time-consuming to create.
- Instance
Count int - The count of instance.
- Instance
Id string - ID of the MSE Cluster.
- Instance
Models List<Pulumi.Ali Cloud. Mse. Inputs. Get Clusters Cluster Instance Model> - The list of instance nodes.
- Internet
Address string - The address of public network.
- Internet
Domain string - The domain of public network.
- Internet
Port string - The port of public network.
- Intranet
Address string - The address of private network.
- Intranet
Domain string - The domain of private network.
- Intranet
Port string - The port of private network.
- Memory
Capacity int - The memory size.
- Pay
Info string - The type of payment.
- Pub
Network stringFlow - The public network bandwidth.
- Status string
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- Acl
Id string - The id of acl.
- App
Version string - The version of app.
- Cluster
Id string - ID of the MSE Cluster.
- Cluster
Name string - ID of the OOS Executions.
- Cluster
Type string - The type of MSE Cluster.
- Cpu int
- The num of cpu.
- Health
Status string - The health status of the instance.
- Id string
- ID of the MSE Cluster.
- Init
Cost intTime - Time-consuming to create.
- Instance
Count int - The count of instance.
- Instance
Id string - ID of the MSE Cluster.
- Instance
Models []GetClusters Cluster Instance Model - The list of instance nodes.
- Internet
Address string - The address of public network.
- Internet
Domain string - The domain of public network.
- Internet
Port string - The port of public network.
- Intranet
Address string - The address of private network.
- Intranet
Domain string - The domain of private network.
- Intranet
Port string - The port of private network.
- Memory
Capacity int - The memory size.
- Pay
Info string - The type of payment.
- Pub
Network stringFlow - The public network bandwidth.
- Status string
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- acl
Id String - The id of acl.
- app
Version String - The version of app.
- cluster
Id String - ID of the MSE Cluster.
- cluster
Name String - ID of the OOS Executions.
- cluster
Type String - The type of MSE Cluster.
- cpu Integer
- The num of cpu.
- health
Status String - The health status of the instance.
- id String
- ID of the MSE Cluster.
- init
Cost IntegerTime - Time-consuming to create.
- instance
Count Integer - The count of instance.
- instance
Id String - ID of the MSE Cluster.
- instance
Models List<GetClusters Cluster Instance Model> - The list of instance nodes.
- internet
Address String - The address of public network.
- internet
Domain String - The domain of public network.
- internet
Port String - The port of public network.
- intranet
Address String - The address of private network.
- intranet
Domain String - The domain of private network.
- intranet
Port String - The port of private network.
- memory
Capacity Integer - The memory size.
- pay
Info String - The type of payment.
- pub
Network StringFlow - The public network bandwidth.
- status String
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- acl
Id string - The id of acl.
- app
Version string - The version of app.
- cluster
Id string - ID of the MSE Cluster.
- cluster
Name string - ID of the OOS Executions.
- cluster
Type string - The type of MSE Cluster.
- cpu number
- The num of cpu.
- health
Status string - The health status of the instance.
- id string
- ID of the MSE Cluster.
- init
Cost numberTime - Time-consuming to create.
- instance
Count number - The count of instance.
- instance
Id string - ID of the MSE Cluster.
- instance
Models GetClusters Cluster Instance Model[] - The list of instance nodes.
- internet
Address string - The address of public network.
- internet
Domain string - The domain of public network.
- internet
Port string - The port of public network.
- intranet
Address string - The address of private network.
- intranet
Domain string - The domain of private network.
- intranet
Port string - The port of private network.
- memory
Capacity number - The memory size.
- pay
Info string - The type of payment.
- pub
Network stringFlow - The public network bandwidth.
- status string
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- acl_
id str - The id of acl.
- app_
version str - The version of app.
- cluster_
id str - ID of the MSE Cluster.
- cluster_
name str - ID of the OOS Executions.
- cluster_
type str - The type of MSE Cluster.
- cpu int
- The num of cpu.
- health_
status str - The health status of the instance.
- id str
- ID of the MSE Cluster.
- init_
cost_ inttime - Time-consuming to create.
- instance_
count int - The count of instance.
- instance_
id str - ID of the MSE Cluster.
- instance_
models Sequence[GetClusters Cluster Instance Model] - The list of instance nodes.
- internet_
address str - The address of public network.
- internet_
domain str - The domain of public network.
- internet_
port str - The port of public network.
- intranet_
address str - The address of private network.
- intranet_
domain str - The domain of private network.
- intranet_
port str - The port of private network.
- memory_
capacity int - The memory size.
- pay_
info str - The type of payment.
- pub_
network_ strflow - The public network bandwidth.
- status str
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
- acl
Id String - The id of acl.
- app
Version String - The version of app.
- cluster
Id String - ID of the MSE Cluster.
- cluster
Name String - ID of the OOS Executions.
- cluster
Type String - The type of MSE Cluster.
- cpu Number
- The num of cpu.
- health
Status String - The health status of the instance.
- id String
- ID of the MSE Cluster.
- init
Cost NumberTime - Time-consuming to create.
- instance
Count Number - The count of instance.
- instance
Id String - ID of the MSE Cluster.
- instance
Models List<Property Map> - The list of instance nodes.
- internet
Address String - The address of public network.
- internet
Domain String - The domain of public network.
- internet
Port String - The port of public network.
- intranet
Address String - The address of private network.
- intranet
Domain String - The domain of private network.
- intranet
Port String - The port of private network.
- memory
Capacity Number - The memory size.
- pay
Info String - The type of payment.
- pub
Network StringFlow - The public network bandwidth.
- status String
- The status of MSE Cluster. Valid:
DESTROY_FAILED,DESTROY_ING,DESTROY_SUCCESS,INIT_FAILED,INIT_ING,INIT_SUCCESS,INIT_TIME_OUT,RESTART_FAILED,RESTART_ING,RESTART_SUCCESS,SCALE_FAILED,SCALE_ING,SCALE_SUCCESS
GetClustersClusterInstanceModel
- Health
Status string - The health status of the instance.
- Instance
Type string - (Deprecated from version 1.232.0)
- Internet
Ip string - The public IP address.
- Ip string
- The IP address of the instance.
- Pod
Name string - The name of the pod.
- Role string
- The role.
- Single
Tunnel stringVip - The single-thread IP address.
- Vip string
- (Deprecated from version 1.232.0)
- Health
Status string - The health status of the instance.
- Instance
Type string - (Deprecated from version 1.232.0)
- Internet
Ip string - The public IP address.
- Ip string
- The IP address of the instance.
- Pod
Name string - The name of the pod.
- Role string
- The role.
- Single
Tunnel stringVip - The single-thread IP address.
- Vip string
- (Deprecated from version 1.232.0)
- health
Status String - The health status of the instance.
- instance
Type String - (Deprecated from version 1.232.0)
- internet
Ip String - The public IP address.
- ip String
- The IP address of the instance.
- pod
Name String - The name of the pod.
- role String
- The role.
- single
Tunnel StringVip - The single-thread IP address.
- vip String
- (Deprecated from version 1.232.0)
- health
Status string - The health status of the instance.
- instance
Type string - (Deprecated from version 1.232.0)
- internet
Ip string - The public IP address.
- ip string
- The IP address of the instance.
- pod
Name string - The name of the pod.
- role string
- The role.
- single
Tunnel stringVip - The single-thread IP address.
- vip string
- (Deprecated from version 1.232.0)
- health_
status str - The health status of the instance.
- instance_
type str - (Deprecated from version 1.232.0)
- internet_
ip str - The public IP address.
- ip str
- The IP address of the instance.
- pod_
name str - The name of the pod.
- role str
- The role.
- single_
tunnel_ strvip - The single-thread IP address.
- vip str
- (Deprecated from version 1.232.0)
- health
Status String - The health status of the instance.
- instance
Type String - (Deprecated from version 1.232.0)
- internet
Ip String - The public IP address.
- ip String
- The IP address of the instance.
- pod
Name String - The name of the pod.
- role String
- The role.
- single
Tunnel StringVip - The single-thread IP address.
- vip String
- (Deprecated from version 1.232.0)
Package Details
- Repository
- Alibaba Cloud pulumi/pulumi-alicloud
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
alicloudTerraform Provider.
Viewing docs for Alibaba Cloud v3.97.0
published on Saturday, Mar 14, 2026 by Pulumi
published on Saturday, Mar 14, 2026 by Pulumi
